﻿using Infragistics.Win;
using Infragistics.Win.UltraWinEditors;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Diagnostics;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace DateTimeEditorColumn
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            this.ultraGrid1.DataSource = GetData();
             
           
        }

        private DataTable GetData()
        {
            string[] arrName = { "Peter", "Maria", "John", "Vladimir" };
            
            DataTable dt = new DataTable();

            var keys = new DataColumn[1];

            dt.Columns.Add("id", typeof(int));
            dt.Columns.Add("Name", typeof(string));            
            dt.Columns.Add("Date", typeof(DateTime));


            for (int i = 0; i < 30; i++)
            {
                var row = dt.Rows.Add();
                row[0] = i + 1;
                row[1] = arrName[i % 3];
                row[2] = DateTime.Now.AddDays(i);
            }
            keys[0] = dt.Columns["ID"];

            dt.PrimaryKey = keys;

            return dt;
        }

        private void ultraGrid1_InitializeLayout(object sender, Infragistics.Win.UltraWinGrid.InitializeLayoutEventArgs e)
        {
            var band = e.Layout.Bands[0];
            var col = band.Columns["Date"];
            DateTimeEditor dateTimeEditor = new DateTimeEditor(new DefaultEditorOwner(new DefaultEditorOwnerSettings
            {
                DataType = typeof(DateTime),
                MaskInput = "mm/dd/yyyy h:mm:ss tt",

            }
                                                          ));

            col.Editor = dateTimeEditor;
        }
    }
}
